From 04856f4c830a5f40d44bb67e908a1cbf88c18ce5 Mon Sep 17 00:00:00 2001
From: Juerg Haefliger <juerg.haefliger@hp.com>
Date: Mon, 31 Jan 2011 06:42:57 -0500
Subject: [PATCH] tests: handle backspace-newline pairs in test input files

This patch teaches testutil how to read multi-line input files with
backspace-newline line continuation markers.

The patch also breaks up all the single-line arguments test input files into
multi-line files with lines shorther than 80 characters.
---
 .../qemuxml2argv-balloon-device-auto.args          |    6 ++++-
 .../qemuxml2argv-balloon-device.args               |    6 ++++-
 .../qemuxml2argvdata/qemuxml2argv-boot-cdrom.args  |    4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-floppy.args |    5 +++-
 .../qemuxml2argv-boot-menu-disable.args            |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-boot-multi.args  |    5 +++-
 .../qemuxml2argv-boot-network.args                 |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-boot-order.args  |   14 ++++++++++++-
 .../qemuxml2argvdata/qemuxml2argv-bootloader.args  |    5 +++-
 .../qemuxml2argv-channel-guestfwd.args             |    8 ++++++-
 .../qemuxml2argv-channel-virtio-auto.args          |   21 +++++++++++++++++++-
 .../qemuxml2argv-channel-virtio.args               |    9 +++++++-
 .../qemuxml2argv-clock-france.args                 |    5 +++-
 .../qemuxml2argv-clock-localtime.args              |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args |    5 +++-
 .../qemuxml2argv-clock-variable.args               |    5 +++-
 .../qemuxml2argv-console-compat-auto.args          |    5 +++-
 .../qemuxml2argv-console-compat-chardev.args       |    7 +++++-
 .../qemuxml2argv-console-compat.args               |    5 +++-
 .../qemuxml2argv-console-virtio.args               |    8 ++++++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-exact1.args  |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-exact2.args  |    5 +++-
 .../qemuxml2argv-cpu-minimum1.args                 |    5 +++-
 .../qemuxml2argv-cpu-minimum2.args                 |    6 ++++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-strict1.args |    5 +++-
 .../qemuxml2argv-cpu-topology1.args                |    5 +++-
 .../qemuxml2argv-cpu-topology2.args                |    5 +++-
 .../qemuxml2argv-cpu-topology3.args                |    4 ++-
 .../qemuxml2argv-disk-cdrom-empty.args             |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-disk-cdrom.args  |    5 +++-
 .../qemuxml2argv-disk-drive-boot-cdrom.args        |    6 ++++-
 .../qemuxml2argv-disk-drive-boot-disk.args         |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v1-none.args     |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v1-wb.args       |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v1-wt.args       |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v2-none.args     |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v2-wb.args       |    6 ++++-
 .../qemuxml2argv-disk-drive-cache-v2-wt.args       |    6 ++++-
 ...uxml2argv-disk-drive-error-policy-enospace.args |    7 +++++-
 .../qemuxml2argv-disk-drive-error-policy-stop.args |    7 +++++-
 .../qemuxml2argv-disk-drive-fat.args               |    5 +++-
 .../qemuxml2argv-disk-drive-fmt-qcow.args          |    6 ++++-
 .../qemuxml2argv-disk-drive-network-nbd.args       |    6 ++++-
 .../qemuxml2argv-disk-drive-network-rbd.args       |    7 +++++-
 .../qemuxml2argv-disk-drive-network-sheepdog.args  |    6 ++++-
 .../qemuxml2argv-disk-drive-readonly-disk.args     |    9 +++++++-
 ...qemuxml2argv-disk-drive-readonly-no-device.args |    6 ++++-
 .../qemuxml2argv-disk-drive-shared.args            |    7 +++++-
 .../qemuxml2argvdata/qemuxml2argv-disk-floppy.args |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-disk-many.args |    5 +++-
 .../qemuxml2argv-disk-scsi-device-auto.args        |    9 +++++++-
 .../qemuxml2argv-disk-scsi-device.args             |    9 +++++++-
 .../qemuxml2argv-disk-usb-device.args              |    8 ++++++-
 tests/qemuxml2argvdata/qemuxml2argv-disk-usb.args  |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-disk-virtio.args |    7 +++++-
 .../qemuxml2argvdata/qemuxml2argv-disk-xenvbd.args |    7 +++++-
 .../qemuxml2argv-encrypted-disk.args               |   11 +++++++++-
 .../qemuxml2argv-floppy-drive-fat.args             |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-fs9p.args      |    8 ++++++-
 .../qemuxml2argv-graphics-sdl-fullscreen.args      |    5 +++-
 .../qemuxml2argv-graphics-sdl.args                 |    5 +++-
 .../qemuxml2argv-graphics-spice.args               |    8 ++++++-
 .../qemuxml2argv-graphics-vnc-sasl.args            |    6 ++++-
 .../qemuxml2argv-graphics-vnc-socket.args          |    5 +++-
 .../qemuxml2argv-graphics-vnc-tls.args             |    6 ++++-
 .../qemuxml2argv-graphics-vnc.args                 |    5 +++-
 .../qemuxml2argv-hostdev-pci-address-device.args   |    6 ++++-
 .../qemuxml2argv-hostdev-pci-address.args          |    5 +++-
 .../qemuxml2argv-hostdev-usb-address-device.args   |    6 ++++-
 .../qemuxml2argv-hostdev-usb-address.args          |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-hugepages.args |    5 +++-
 .../qemuxml2argv-input-usbmouse.args               |    5 +++-
 .../qemuxml2argv-input-usbtablet.args              |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-input-xen.args |    6 ++++-
 .../qemuxml2argv-machine-aliases1.args             |    5 +++-
 .../qemuxml2argv-machine-aliases2.args             |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-memtune.args   |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-migrate.args   |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-minimal.args   |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-misc-acpi.args |    4 ++-
 .../qemuxml2argv-misc-no-reboot.args               |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-misc-uuid.args |    5 +++-
 .../qemuxml2argv-net-eth-ifname.args               |    6 ++++-
 .../qemuxml2argv-net-eth-names.args                |    8 ++++++-
 tests/qemuxml2argvdata/qemuxml2argv-net-eth.args   |    6 ++++-
 tests/qemuxml2argvdata/qemuxml2argv-net-user.args  |    6 ++++-
 .../qemuxml2argv-net-virtio-device.args            |    7 +++++-
 .../qemuxml2argv-net-virtio-netdev.args            |    7 +++++-
 .../qemuxml2argvdata/qemuxml2argv-net-virtio.args  |    6 ++++-
 .../qemuxml2argv-nographics-vga.args               |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-nographics.args  |    5 +++-
 .../qemuxml2argv-parallel-tcp-chardev.args         |    8 ++++++-
 .../qemuxml2argv-parallel-tcp.args                 |    5 +++-
 .../qemuxml2argv-qemu-ns-no-env.args               |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-qemu-ns.args   |    6 ++++-
 .../qemuxml2argvdata/qemuxml2argv-restore-v1.args  |    5 +++-
 .../qemuxml2argv-restore-v2-fd.args                |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-restore-v2.args  |    5 +++-
 .../qemuxml2argv-serial-dev-chardev.args           |    7 +++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-dev.args  |    5 +++-
 .../qemuxml2argv-serial-file-chardev.args          |    8 ++++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-file.args |    5 +++-
 .../qemuxml2argv-serial-many-chardev.args          |    9 +++++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-many.args |    5 +++-
 .../qemuxml2argv-serial-pty-chardev.args           |    7 +++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-pty.args  |    5 +++-
 .../qemuxml2argv-serial-tcp-chardev.args           |    8 ++++++-
 .../qemuxml2argv-serial-tcp-telnet-chardev.args    |    8 ++++++-
 .../qemuxml2argv-serial-tcp-telnet.args            |    5 +++-
 .../qemuxml2argvdata/qemuxml2argv-serial-tcp.args  |    5 +++-
 .../qemuxml2argv-serial-udp-chardev.args           |    8 ++++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-udp.args  |    5 +++-
 .../qemuxml2argv-serial-unix-chardev.args          |    8 ++++++-
 .../qemuxml2argvdata/qemuxml2argv-serial-unix.args |    5 +++-
 .../qemuxml2argv-serial-vc-chardev.args            |    7 +++++-
 tests/qemuxml2argvdata/qemuxml2argv-serial-vc.args |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-smbios.args    |    8 ++++++-
 tests/qemuxml2argvdata/qemuxml2argv-smp.args       |    5 +++-
 .../qemuxml2argv-sound-device.args                 |    9 +++++++-
 tests/qemuxml2argvdata/qemuxml2argv-sound.args     |    5 +++-
 .../qemuxml2argv-watchdog-device.args              |    6 ++++-
 .../qemuxml2argv-watchdog-dump.args                |    5 +++-
 tests/qemuxml2argvdata/qemuxml2argv-watchdog.args  |    5 +++-
 tests/testutils.c                                  |   21 ++++++++++++++++---
 124 files changed, 650 insertions(+), 127 deletions(-)

diff --git a/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args b/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
index 08f0b8a..b23d08d 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-balloon-device-auto.args
@@ -1 +1,5 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda \
+/dev/HostVG/QEMUGuest1 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,\
+addr=0x2
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args b/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
index 0a481d6..89bda1a 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-balloon-device.args
@@ -1 +1,5 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x12
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda \
+/dev/HostVG/QEMUGuest1 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,\
+addr=0x12
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
index e973d90..d32f673 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-cdrom.args
@@ -1 +1,3 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot d -cdrom /dev/cdrom -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot d -cdrom /dev/cdrom -net none -serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-floppy.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-floppy.args
index a0f77f3..47eb5ef 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-floppy.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-floppy.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot a -hda /dev/HostVG/QEMUGuest1 -fda /tmp/firmware.img -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot a -hda /dev/HostVG/QEMUGuest1 -fda /tmp/firmware.img -net none \
+-serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-menu-disable.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-menu-disable.args
index ec47281..2ad6db5 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-menu-disable.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-menu-disable.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot order=d,menu=off -cdrom /dev/cdrom -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot order=d,menu=off -cdrom /dev/cdrom -net none -serial none \
+-parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-multi.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-multi.args
index e67f2a1..33710b6 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-multi.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-multi.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot order=dcna,menu=on -cdrom /dev/cdrom -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot order=dcna,menu=on -cdrom /dev/cdrom -net none -serial none \
+-parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-network.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-network.args
index f4e0890..95d8a6e 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-network.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-network.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot n -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel \
+none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-boot-order.args b/tests/qemuxml2argvdata/qemuxml2argv-boot-order.args
index ab6e947..296f004 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-boot-order.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-boot-order.args
@@ -1 +1,13 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -drive file=/dev/HostVG/QEMUGuest1,if=none,id=drive-ide0-0-0 -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=sheepdog:example.org:6000:image,if=none,id=drive-virtio-disk0 -device virtio-blk-pci,bus=pci.0,addr=0x3,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=3 -drive file=/root/boot.iso,if=none,media=cdrom,id=drive-ide0-1-0 -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -drive file=/dev/null,if=none,id=drive-fdc0-0-1 -global isa-fdc.driveB=drive-fdc0-0-1 -global isa-fdc.bootindexB=4 -device virtio-net-pci,vlan=0,id=net0,mac=00:11:22:33:44:55,bus=pci.0,addr=0x2,bootindex=2 -net user,vlan=0,name=hostnet0 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x4
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefaults -monitor unix:/tmp/test-monitor,server,\
+nowait -no-acpi -drive file=/dev/HostVG/QEMUGuest1,if=none,id=drive-ide0-0-0 \
+-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive \
+file=sheepdog:example.org:6000:image,if=none,id=drive-virtio-disk0 -device \
+virtio-blk-pci,bus=pci.0,addr=0x3,drive=drive-virtio-disk0,id=virtio-disk0,\
+bootindex=3 -drive file=/root/boot.iso,if=none,media=cdrom,id=drive-ide0-1-0 \
+-device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,\
+bootindex=1 -drive file=/dev/null,if=none,id=drive-fdc0-0-1 -global \
+isa-fdc.driveB=drive-fdc0-0-1 -global isa-fdc.bootindexB=4 -device \
+virtio-net-pci,vlan=0,id=net0,mac=00:11:22:33:44:55,bus=pci.0,addr=0x2,\
+bootindex=2 -net user,vlan=0,name=hostnet0 -usb -device virtio-balloon-pci,\
+id=balloon0,bus=pci.0,addr=0x4
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-bootloader.args b/tests/qemuxml2argvdata/qemuxml2argv-bootloader.args
index bcae18a..e6694e2 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-bootloader.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-bootloader.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/xenner -S -M xenner -m 214 -smp 1 -domid 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -bootloader /usr/bin/pygrub -cdrom /dev/cdrom -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/xenner -S \
+-M xenner -m 214 -smp 1 -domid 6 -nographic -monitor unix:/tmp/test-monitor,\
+server,nowait -no-acpi -bootloader /usr/bin/pygrub -cdrom /dev/cdrom -net none \
+-serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-channel-guestfwd.args b/tests/qemuxml2argvdata/qemuxml2argv-channel-guestfwd.args
index 3939b7b..f2796f1 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-channel-guestfwd.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-channel-guestfwd.args
@@ -1 +1,7 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/test-monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=readline -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -chardev pipe,id=charchannel0,path=/tmp/guestfwd -netdev user,guestfwd=tcp:10.0.2.1:4600,chardev=charchannel0,id=user-channel0 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -chardev socket,\
+id=charmonitor,path=/tmp/test-monitor,server,nowait -mon chardev=charmonitor,\
+id=monitor,mode=readline -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -chardev \
+pipe,id=charchannel0,path=/tmp/guestfwd -netdev user,\
+guestfwd=tcp:10.0.2.1:4600,chardev=charchannel0,id=user-channel0 -usb -device \
+virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-channel-virtio.args b/tests/qemuxml2argvdata/qemuxml2argv-channel-virtio.args
index b81bf03..4e2d33e 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-channel-virtio.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-channel-virtio.args
@@ -1 +1,8 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -device virtio-serial-pci,id=virtio-serial1,bus=pci.0,addr=0xa -hda /dev/HostVG/QEMUGuest1 -chardev pty,id=charchannel0 -device virtserialport,bus=virtio-serial1.0,nr=3,chardev=charchannel0,id=channel0,name=org.linux-kvm.port.foo -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -device \
+virtio-serial-pci,id=virtio-serial1,bus=pci.0,addr=0xa -hda \
+/dev/HostVG/QEMUGuest1 -chardev pty,id=charchannel0 -device virtserialport,\
+bus=virtio-serial1.0,nr=3,chardev=charchannel0,id=channel0,\
+name=org.linux-kvm.port.foo -usb -device virtio-balloon-pci,id=balloon0,\
+bus=pci.0,addr=0x2
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-clock-france.args b/tests/qemuxml2argvdata/qemuxml2argv-clock-france.args
index 3c57397..a32876d 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-clock-france.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-clock-france.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test TZ=Europe/Paris /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -rtc base=localtime -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test TZ=Europe/Paris \
+/usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor \
+unix:/tmp/test-monitor,server,nowait -rtc base=localtime -no-acpi -boot c -hda \
+/dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-clock-localtime.args b/tests/qemuxml2argvdata/qemuxml2argv-clock-localtime.args
index 7550f03..948039a 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-clock-localtime.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-clock-localtime.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -localtime -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-localtime -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none \
+-parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args b/tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args
index 0d3ef6f..652725b 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel \
+none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-clock-variable.args b/tests/qemuxml2argvdata/qemuxml2argv-clock-variable.args
index 09a9197..50d5151 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-clock-variable.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-clock-variable.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -rtc base=2010-2-2T18:22:10 -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -rtc \
+base=2010-2-2T18:22:10 -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none \
+-serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-console-compat-auto.args b/tests/qemuxml2argvdata/qemuxml2argv-console-compat-auto.args
index fd42462..d148682 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-console-compat-auto.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-console-compat-auto.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial pty -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial pty -parallel \
+none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-console-compat-chardev.args b/tests/qemuxml2argvdata/qemuxml2argv-console-compat-chardev.args
index 9240fb1..dd4a8d4 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-console-compat-chardev.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-console-compat-chardev.args
@@ -1 +1,6 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/test-monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=readline -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -chardev socket,\
+id=charmonitor,path=/tmp/test-monitor,server,nowait -mon chardev=charmonitor,\
+id=monitor,mode=readline -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -chardev \
+pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb \
+-device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-console-compat.args b/tests/qemuxml2argvdata/qemuxml2argv-console-compat.args
index fd42462..d148682 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-console-compat.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-console-compat.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial pty -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial pty -parallel \
+none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-console-virtio.args b/tests/qemuxml2argvdata/qemuxml2argv-console-virtio.args
index 7e0a8d2..a896c81 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-console-virtio.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-console-virtio.args
@@ -1 +1,7 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x2 -hda /dev/HostVG/QEMUGuest1 -chardev pty,id=charconsole0 -device virtconsole,chardev=charconsole0,id=console0 -usb -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -device \
+virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x2 -hda \
+/dev/HostVG/QEMUGuest1 -chardev pty,id=charconsole0 -device virtconsole,\
+chardev=charconsole0,id=console0 -usb -device virtio-balloon-pci,id=balloon0,\
+bus=pci.0,addr=0x3
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact1.args b/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact1.args
index 448737f..83f848f 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact1.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact1.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc -cpu qemu64,-svm,-lm,-nx,-syscall,-clflush,-pse36,-mca -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc \
+-cpu qemu64,-svm,-lm,-nx,-syscall,-clflush,-pse36,-mca -m 214 -smp 6 \
+-nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net \
+none -serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact2.args b/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact2.args
index 637f2e1..198d0d8 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact2.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-cpu-exact2.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc -cpu core2duo,+lahf_lm,+3dnowext,+xtpr,+ds_cpl,+tm,+ht,+ds,-nx -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc \
+-cpu core2duo,+lahf_lm,+3dnowext,+xtpr,+ds_cpl,+tm,+ht,+ds,-nx -m 214 -smp 6 \
+-nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net \
+none -serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args b/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
index 80940f8..df57c48 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum1.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc -cpu core2duo,+lahf_lm,+xtpr,+cx16,+tm2,+est,+vmx,+ds_cpl,+pbe,+tm,+ht,+ss,+acpi,+ds -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc \
+-cpu core2duo,+lahf_lm,+xtpr,+cx16,+tm2,+est,+vmx,+ds_cpl,+pbe,+tm,+ht,+ss,\
++acpi,+ds -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,\
+nowait -no-acpi -boot n -net none -serial none -parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args b/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
index 7f4aeee..9fb1648 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-cpu-minimum2.args
@@ -1 +1,5 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc -cpu core2duo,+lahf_lm,+xtpr,+cx16,+tm2,+est,+vmx,+ds_cpl,+pbe,+tm,+ht,+ss,+acpi,+ds,-lm,-nx,-syscall -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc \
+-cpu core2duo,+lahf_lm,+xtpr,+cx16,+tm2,+est,+vmx,+ds_cpl,+pbe,+tm,+ht,+ss,\
++acpi,+ds,-lm,-nx,-syscall -m 214 -smp 6 -nographic -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none \
+-parallel none -usb
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args b/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
index a680840..3d0c61a 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-cpu-strict1.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc -cpu core2duo,+lahf_lm,+3dnowext,+xtpr,+est,+vmx,+ds_cpl,+tm,+ht,+acpi,+ds,-nx -m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot n -net none -serial none -parallel none -usb
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test ./qemu.sh -S -M pc \
+-cpu core2duo,+lahf_lm,+3dnowext,+xtpr,+est,+vmx,+ds_cpl,+tm,+ht,+acpi,+ds,-nx \
+-m 214 -smp 6 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot n -net none -serial none -parallel none -usb
